package cn.com.qmth.examcloud.core.questions.dao.entity;

import java.util.List;

import cn.com.qmth.examcloud.core.questions.base.enums.PaperStructType;
import cn.com.qmth.examcloud.core.questions.base.enums.PaperType;
import cn.com.qmth.examcloud.core.questions.dao.entity.base.MongoBaseEntity;

public class RandomPaper extends MongoBaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1357471464371313050L;

	private Long rootOrgId;

	private Long courseId;

	private String name;

	private PaperStructType paperStructType;

	private String paperStructId;

	private PaperType paperType;

	private List<String> paperIds;

	private Boolean enable;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public PaperStructType getPaperStructType() {
		return paperStructType;
	}

	public void setPaperStructType(PaperStructType paperStructType) {
		this.paperStructType = paperStructType;
	}

	public String getPaperStructId() {
		return paperStructId;
	}

	public void setPaperStructId(String paperStructId) {
		this.paperStructId = paperStructId;
	}

	public PaperType getPaperType() {
		return paperType;
	}

	public void setPaperType(PaperType paperType) {
		this.paperType = paperType;
	}

	public List<String> getPaperIds() {
		return paperIds;
	}

	public void setPaperIds(List<String> paperIds) {
		this.paperIds = paperIds;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

}
